aboutsummaryrefslogtreecommitdiffstats
path: root/extras/hs-test/script/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extras/hs-test/script/build.sh')
-rwxr-xr-xextras/hs-test/script/build.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/extras/hs-test/script/build.sh b/extras/hs-test/script/build.sh
index f52025c9092..0fc49bbf7d0 100755
--- a/extras/hs-test/script/build.sh
+++ b/extras/hs-test/script/build.sh
@@ -5,6 +5,18 @@ if [ $(lsb_release -is) != Ubuntu ]; then
exit 1
fi
+if [ -z $(which ab) ]; then
+ echo "Host stack test framework requires apache2-utils to be installed"
+ echo "It is recommended to run 'sudo make install-dep'"
+ exit 1
+fi
+
+if [ -z $(which wrk) ]; then
+ echo "Host stack test framework requires wrk to be installed"
+ echo "It is recommended to run 'sudo make install-dep'"
+ exit 1
+fi
+
source vars
bin=vpp-data/bin